Name:           dillo
Version:        0.8.6
Release:        16%{?dist}

Summary:        Very small and fast GUI web browser

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.dillo.org/
Source0:        http://www.dillo.org/download/dillo-0.8.6.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}.png
Source3:        %{name}-i18n.desktop
Patch0:         dillo-0.8.0-nodebug.patch
#http://teki.jpn.ph/pc/software/index-e.shtml#dillo-i18n
Patch1:         dillo-0.8.6-i18n-misc-20060524.diff.bz2
Patch2:		dillo-i18n-dso.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk+-devel
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libpng-devel >= 1.2.0
BuildRequires:  libjpeg-devel = 6b
BuildRequires:  openssl-devel
BuildRequires:  libXft-devel
BuildRequires:  fltk-devel
BuildRequires:  gettext

# #676710 dillo requires iso8859 fonts
Requires:       wget
Requires:       xorg-x11-fonts-ISO8859-1-100dpi, xorg-x11-fonts-ISO8859-1-75dpi
Provides:       webclient

%description
Dillo is a very small and fast web browser using GTK.
Currently: no frames,https,javascript.

%prep
# i18n version
%setup -q
%patch0
%patch1 -p1
%patch2
rm -rf ../%{name}-%{version}-i18n
mv ../%{name}-%{version} ../%{name}-%{version}-i18n

# normal version
%setup -q
%patch0

%build
#normal
%configure --disable-dependency-tracking --enable-ipv6 --enable-anti-alias \
--enable-meta-refresh --enable-ssl --disable-rpath --disable-dlgui

# i18n
cd ../%{name}-%{version}-i18n
%configure --disable-dependency-tracking --enable-ipv6 --enable-anti-alias \
--enable-meta-refresh --enable-ssl --disable-rpath --disable-dlgui

cd ../%{name}-%{version}
make %{?_smp_mflags}

cd ../%{name}-%{version}-i18n
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

#i18n
cd ../%{name}-%{version}-i18n/
make install DESTDIR=$RPM_BUILD_ROOT
rm -f doc/Makefile*

#normal
cd ../%{name}-%{version}/
make install DESTDIR=$RPM_BUILD_ROOT
rm -f doc/Makefile*

# install i18n binary
%{__install} -p -m0755 ../%{name}-%{version}-i18n/src/dillo \
$RPM_BUILD_ROOT/%{_bindir}/dillo-i18n

# do the rest
%{__install} -d -m0755 $RPM_BUILD_ROOT/%{_datadir}/applications
desktop-file-install --vendor fedora \
        --add-category X-Fedora \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications  \
        %{SOURCE1}
# i18n
%{__install} -d -m0755 $RPM_BUILD_ROOT/%{_datadir}/applications
desktop-file-install --vendor fedora \
        --add-category X-Fedora \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications  \
        %{SOURCE3}

%{__install} -Dpm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/dillo.png

%find_lang dillo

%clean
rm -rf $RPM_BUILD_ROOT

%files -f dillo.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog doc
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/dillo.png
%{_libdir}/%{name}

%changelog
* Tue Sep 27 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.8.6-16
- fix type
- rebuild

* Sun Feb 13 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.8.6-15
- require iso8859 fonts (#676710)
- clean up desktop files

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 15 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.8.6-13
- fix desktop entries (#487771)

* Sun Apr 11 2010 Bruno Wolff III <bruno@wolff.to> - 0.8.6-12
- Fix DSO linking bug 564723
- Cleanup i18n area before trying to mv source there

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.8.6-11
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> - 0.8.6-8
- rebuild with new openssl

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.8.6-7
- Rebuilt for gcc43

* Thu Dec 06 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.8.6-6
- fix desktop file(s) #413111

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 0.8.6-5
 - Rebuild for deps

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.6-4
- new license tag
- rebuild for buildid

* Tue Sep 12 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.6-3
- FE6 rebuild

* Tue Jul 04 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.6-2
- fix some more aspects of #187691 (package now contains dillo and dillo-i18n)
- fix #197370

* Sun Jun 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.6-1
- version upgrade
- fix #187691

* Mon Apr 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.5-3
- enable some options

* Wed Apr 05 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.5-2
- add i18n patch (#147381)

* Sat Mar 04 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.5-1
- reenable build
- version upgrade
- add dist

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Feb  3 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.8.4-2
- Add icon, thanks to Robin Humble.

* Tue Jan 18 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.8.4-1
- Update to 0.8.4, fixes CAN-2005-0012 (#144953).

* Tue Sep  7 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.8.2-0.fdr.1
- Update to 0.8.2.
- Disable dependency tracking to speed up the build.

* Thu Jun 20 2004 Nils O. Selåsdal <NOS@Utel.no> - 0:0.8.1-0.fdr.1
- 0.8.1 release

* Mon Apr 19 2004 Nils O. Selåsdal <NOS@Utel.no> - 0:0.8.0-0.fdr.3
- Require wget for https support.

* Thu Feb 12 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.8.0-0.fdr.2
- Use "make install DESTDIR" instead of the %%makeinstall macro to avoid
  buildroot traces in installed files.
- Fix files list so that debuginfo files are not included in main package.
- Desktop entry improvements, split into external file.
- Include more docs.
- Convert spec file to UTF-8.

* Tue Feb 10 2004 Nils O. Selåsdal <NOS@Utel.no> - 0:0.8.0-0.fdr.1
- 0.8.0 release
- Add patch to silence debug messages

* Mon Aug 25 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.7.3-0.fdr.2
- Include ChangeLog in docs.
- Use X-Fedora , not X-Red-Hat-Extra.
- Add proper BuildRequires,remove Requires, since they're automatically
  picked up.
- use config(noreplace) for dillorc.
- add Provides webclient.

* Sat Aug 23 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.7.3-0.fdr.1
- Initial RPM release for fedora
